services:
  beszel:
    image: henrygd/beszel:0.12.6
    container_name: beszel
    restart: unless-stopped
    ports:
      - 8090:8090
    volumes:
      - /opt/beszel/data:/beszel_data
      - /opt/beszel/socket:/beszel_socket
    environment:
      USER_CREATION: true
      DISABLE_PASSWORD_AUTH: true

  beszel-agent:
    image: henrygd/beszel-agent:0.12.6
    container_name: beszel-agent
    restart: unless-stopped
    network_mode: host
    volumes:
      - /opt/beszel/agent:/var/lib/beszel-agent
      - /opt/beszel/socket:/beszel_socket
      - /var/run/docker.sock:/var/run/docker.sock:ro
    environment:
      LISTEN: /beszel_socket/beszel.sock
      HUB_URL: http://localhost:8090
      TOKEN: ${BESZEL_TOKEN:?}
      KEY: ${BESZEL_KEY:?}
